T_pickle_suite(3)

NAME
T_pickle_suite - Implements pickle support for eoPersistent derivatives.

SYNOPSIS

#include <pickle.h>

  Static Public Member Functions
std::string print_to_string (const T &t)
boost::python::tuple getstate (const T &t)
void setstate (T &t, boost::python::tuple pickled)

Detailed Description

  template<class T> struct T_pickle_suite< T >
Implements pickle support for eoPersistent derivatives.

Definition at line 32 of file pickle.h.

Author

Generated automatically by Doxygen for EO from the source code.